[youtubei.js](../README.md) / OAuth2ClientID

# Type Alias: OAuth2ClientID

> **OAuth2ClientID**: `object`

## Type declaration

### client\_id

> **client\_id**: `string`

### client\_secret

> **client\_secret**: `string`

## Defined in

[src/core/OAuth2.ts:7](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/core/OAuth2.ts#L7)
